[darcs-users] darcs patch: Add an executable to darcs.cabal to build unit tests

Eric Kow kowey at darcs.net
Sat Feb 28 12:12:53 UTC 2009


On Sat, Feb 28, 2009 at 13:03:07 +0100, Reinier Lamers wrote:
> What command do you enter that gives you that warning? When I do "cabal clean" 
> or "cabal configure" or "cabal build", I don't get any warnings. "cabal check" 
> only mutters a bit about -O2 causing long compile times.

cabal configure

I'm just cabal-install 0.6.2 with 1.6.0.2 of the Cabal library, if it
helps

> But now at once I get linker errors :-( when linking the unit executable:
> 
> /home/reinier/.cabal/lib/QuickCheck-2.1.0.1/ghc-6.10.1/libHSQuickCheck-2.1.0.1.a(Arbitrary.o): 
> In function `sb1a_info':
> (.text+0x1c03f): undefined reference to 
> `__stginit_basezm3zi0zi3zi0_DataziRatio_'
> 
> I just did a fresh cabal install --reinstall of QuickCheck-2.1.0.1, so what 
> the...?

Hmm... :-/

-- 
Eric Kow <http://www.nltg.brighton.ac.uk/home/Eric.Kow>
PGP Key ID: 08AC04F9
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: Digital signature
URL: <http://lists.osuosl.org/pipermail/darcs-users/attachments/20090228/bf104f05/attachment.pgp>


More information about the darcs-users mailing list